Foreman - Bug #14198

remote_addr validation is too strict for a regular expression
03/15/2016 04:26 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Settings
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3329
Description

#6924 validates the remote_addr setting to permit only a list of pipe-separated IP addresses. It's actually a regular expression
according to our docs (http:/theforeman.org/manuals/1.10/index.html#3.5.2ConfigurationOptions):

remote_addr

If Foreman is running behind Passenger or a remote load balancer, the IP of this load balance shou
1d be set here. This is a regular expression, so it can support several load balancers, i.e: (10.0
.0.11127.0.0.1) Default: 127.0.0.1

Although the example is a simple regexp with two IPs and the or expression, regexes can be far more complex. It might be used to
permit a whole subnet (e.g. #10.0.0.\d+$).

Related issues:
Related to Foreman - Bug #6924: Ul should throw proper validation error while... Closed 08/05/2014

Associated revisions

Revision 27def3d6 - 03/23/2016 10:13 AM - Ondfej Prazak

Fixes #14198 - remote_addr validation accepts regex with digit matching

History

#1 - 03/15/2016 04:27 AM - Dominic Cleal

- Related to Bug #6924: Ul should throw proper validation error while updating some params with any random value(like utf-8 or -ve values) added

#2 - 03/15/2016 10:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Prazak

- Pull request https://github.com/theforeman/foreman/pull/3329 added

#3 - 03/23/2016 11:02 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 27def3d68207949ed0a7d43c8b578c1a6¢c1c5d24.
